(function(){
	var worldData;
	var afterLoad = function(){
		worldData = JSON.parse(this.responseText);

		//プルダウンメニュー
		for(var i = 0; i < worldData.length; i++){
			var opt = document.createElement('option');
			opt.textContent = worldData[i].country;
			opt.value = worldData[i].country;
			document.getElementById('cpd').appendChild(opt);
		}
	};

	//プルダウンメニューの選択が変わったとき
	document.getElementById('cpd').onchange = function(){
		//はじめにすでにある人型を消す
		var area = document.getElementById('area');
		while(area.firstChild){
			area.removeChild(area.firstChild);
		}
		//メニューの選択にマッチするデータを繰り返しでスキャン
		for(var i = 0; i < worldData.length; i++){
			if(worldData[i].country === this.value){
				var dens = worldData[i].population / worldData[i].area;
				document.getElementById('density').textContent = dens;

				//人型を配置
				for(var j = 0; j < Math.floor(dens / 10); j++){
					var people = document.createElement('div');//<div></div>
					people.className = 'people';//<div class="people"></div>
					people.style.left = Math.floor(Math.random() * (500 - 23) + 1) + 'px';
					people.style.top = Math.floor(Math.random() * (500 - 53) + 1) + 'px';
					document.getElementById('area').appendChild(people);
				}
				break;
			}
		}
	};

	var xhr = new XMLHttpRequest();
	xhr.addEventListener('load', afterLoad);
	xhr.open('GET', 'wd.json');
	xhr.send();
})();