$(document).ready(function(){
	var worldData;

	$.ajax({
		url: 'wd.json',
		dataType: 'json'
	})
	.done(function(data) {
		worldData = data;

		//プルダウンメニュー作成
		$(worldData).each(function(){
			$('<option></option>')
			.attr('name', this.country)
			.text(this.country)
			.appendTo($('select[name="country"]'))
		});
	})

	//プルダウンメニューの選択肢が変更されたとき
	$('select[name="country"]').on('change', function(){
		$('#area').children().remove();

		$(worldData).each(function(){
			if(this.country === $('select[name="country"]').val()) {
				$('#density').text(this.population / this.area);
				var density = Math.round(this.population / this.area) / 10;
				for(var i = 0; i < density; i++) {
					$('#area').append(
						$('<div class="people"></div>')
						.css({
							position: 'absolute',
							top: (Math.floor(Math.random() * (500 - 53)) + 1) + 'px',
							left: (Math.floor(Math.random() * (500 - 23)) + 1) + 'px'
						})
					);
				}
			}
		});
	});
});